<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Bootstrap Introduction and Simple Styles</title>

	<!-- Bootstrap link -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">
</head>
<body class="text-center bg-secondary">
	<!-- Start of Header -->
	<!-- navbar -->
	<nav class="bg-primary text-light fixed-top p-1">
		Fixed top - navbar
	</nav>
	<!-- end of navbar -->
	<header class="mt-5">
     <h1>Bootstrap Introduction and Simple Styles</h1>

     <div class="d-none d-lg-inline-block w-25">
     	<img src="https://www.drupal.org/files/project-images/bootstrap-stack.png" class="rounded-circle bg-white img-fluid">
     </div>
     </header>
     <!-- End of Header -->
     <!-- Bootstrap Utitlity Classes -->
     <section class="container-fluid mb-5">
     	<h2>Bootstrap Color Classes</h2>
     	<table class="table table-bordered table-dark">
     		<thead>
     			<tr>
     				<th>Text</th>
     				<th>Background</th>
     			</tr>
     		</thead>
     		<tbody>
     			<tr>
     				<td><a href="#" class="text-primary">Primary Link</a></td>
     				<td class="bg-primary text-white">Primary</td>
     			</tr>
     			<tr>
     				<td><a href="#" class="text-secondary">secondary Link</a></td>
     				<td class="bg-secondary text-white">secondary</td>
     			</tr>
     			<tr>
     				<td><a href="#" class="text-success">success Link</a></td>
     				<td class="bg-success text-white">Success</td>
     			</tr>
     			<tr>
     				<td><a href="#" class="text-danger">danger Link</a></td>
     				<td class="bg-danger text-white">Danger</td>
     			</tr>
                <tr>
     				<td><a href="#" class="text-warning">warning Link</a></td>
     				<td class="bg-warning text-white">info</td>
     			</tr>
     			<tr>
     				<td><a href="#" class="text-info">text-info Link</a></td>
     				<td class="bg-info text-white">Info</td>
     			</tr>
     			<tr>
     				<td><a href="#" class="text-light">light Link</a></td>
     				<td class="bg-light text-dark">Light</td>
     			</tr>
     			<tr>
     				<td><a href="#" class="text-dark">dark Link</a></td>
     				<td class="bg-dark text-white">Primary</td>
     			</tr>
     			<tr>
     				<td><a href="#" class="text-body">body Link</a></td>
     				<td class="bg-body text-body">body</td>
     			</tr>
     			<tr>
     				<td><a href="#" class="text-muted">muted Link</a></td>
     				<td class="bg-muted text-muted">muted</td>
     			</tr>
     			<tr>
     				<td><a href="#" class="text-white">white Link</a></td>
     				<td class="bg-white text-dark">Primary</td>
     			</tr>
     		</tbody>
     	</table>
     	<!-- Bootstrap Text Alignment Classes -->
     	<h2>Bootstrap Text Classes</h2>

            <table class="table table-bordered table-dark text-white">
                <thead>
                    <tr>
                        <th>Alignment</th>
                    </tr>
                </thead>

                <tbody>
                    <tr>
                        <td class="text-left">
                            Left
                        </td>
                    </tr>
                    <tr>
                        <td class="text-center">
                            Center
                        </td>
                    </tr>
                    <tr>
                        <td class="text-right">
                            Right
                        </td>
                    </tr>
                    <tr>
                        <td class="text-justify">
                            Justify
                        </td>
                    </tr>
                    <tr> 
                    	<!-- Screensize is >=786px(tablets) -->
                        <td class="text-right text-md-left">
                            Medium Left
                        </td>
                    </tr>
                    <tr> 
                    	<!-- Screensize is >=992px(Desktop/Laptop) -->
                        <td class="text-lg-right">
                            large right
                        </td>
                    </tr>
                    <tr> 
                    	<!-- Screensize is >=1200px(TV/Large screen) -->
                        <td class="text-left text-xl-center">
                            Extra large right
                        </td>
                    </tr>
                </tbody>
                <!-- End of bootstrap text alignment clases -->
            </table>
              <!-- Bootstrap Other text classes -->
            <table class="table table-dark text-light table-bordered">
            	<thead>
            		<tr>
            			<th>Text Transform</th>
            		</tr>
            	</thead>
            	<tbody>
            		<tr>
            			<td class="text-lowercase font-weight-bold">
            				LOWERCASED BOLD TEXT
            			</td>
            		</tr>
            		<tr>
            			<td class="text-uppercase font-weight-normal">
            				uppercased normal text
            			</td>
            		</tr>
            		<tr>
            			<td class="text-capitalize font-weight-light">
            				capitalized light text
            			</td>
            		</tr>
            		<tr>
            			<td>
            				<a href="#" class="text-decoration-none font-italic">Non-underlined
            				italic link</a>
            			</td>
            		</tr>
            	</tbody>
            </table>
            <!-- END! Bootstrap Other text classes -->
             <!-- Border classed -->
            <h2>Bootstrap border and Sizing classes</h2>

            <table class="table table-dark text-light table-bordered">
            	<thead>
            		<tr>
            			<th>
            				Border
            			</th>
            		</tr>
            	</thead>
            	<tbody>
            		<tr>
            			<td>
            				<div class="bg-info border border-primary rounded w-25">
            					Rounded
            				</div>
            			</td>
            		</tr>
            		<tr>
            			<td>
            				<div class="bg-secondary border border-white rounded-circle w-50">
            					Rounded Circle
            				</div>
            			</td>
            		</tr>
            		<tr>
            			<td>
            				<div class="bg-warning border border-danger rounded-pill w-75">
            					Rounded Pill
            				</div>
            			</td>
            		</tr>
            	</tbody>
            </table>
            <!-- End of border classes -->
     </section>
     <footer class="bg-primary text-light fixed-bottom p-1">
     	fixed Bottom - footer
     </footer>
     <!-- End of bootstrap utility -->
     <!-- Bootstrap Script -->
     <script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>
</body>
</html>

<!-- 

   Notes for the Margin and Padding

    - The following classes can be used to achieve creating spaces on specific directions:
            - margin
                - "mt-" - margin top
                - "mb-" - margin bottom
                - "ml-" - margin left
                - "mr-" - margin right
                - "mx-" - margin left and right
                - "my-" - margin top and bottom
            - padding
                - "pt-" - padding top
                - "pb-" - padding bottom
                - "pl-" - padding left
                - "pr-" - padding right
                - "px"  - padding left and right
                - "py"  - padding top and bottom
        - The following values may be assigned to create different measurements of spacing between elements:
            - 1-5 - 1 is the smallest measurement and 5 is the largest
            - auto - takes up the full space between the element and the specified spacing



 -->